Page MenuHomePhabricator

On the project page, it is not indicated that the "Open Tasks" list is incomplete
Closed, ResolvedPublic

Description

Reported upstream: https://secure.phabricator.com/T6772

At, for example, https://phabricator.wikimedia.org/project/view/5/, we get a "quick" list of 10 open tasks in that project. The only suggestion that this might not be a complete list of all open tasks in that project is the tiny "View All" button in the top-right corner.

It needs to be made much clearer that the task list on the project page itself is incomplete. Presumably it is the 10 most recently active/most recently created tasks?

Event Timeline

TTO created this task.Nov 24 2014, 12:15 AM
TTO raised the priority of this task from to Needs Triage.
TTO updated the task description. (Show Details)
TTO added a project: Phabricator.
TTO changed Security from none to None.
TTO added a subscriber: TTO.
Qgil triaged this task as Low priority.Nov 24 2014, 7:49 AM
Qgil added a subscriber: Qgil.

Interesting perspective. More feedback is welcome before deciding whether we should upstream this request. The fist would be simple, just change "Open Tasks" for something like "Top tasks", "Most relevant tasks", or something.

The sample of 10 tasks show the most relevant in terms of priority.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Nov 24 2014, 7:50 AM
Qgil moved this task from Backlog to Need Discussion on the Phabricator (Upstream) board.
asb added a subscriber: asb.Dec 1 2014, 10:49 AM

This gets a +1 from me. It's a personal bugbear of mine with the Phabricator UI. How about "Recent Tasks"?

Qgil added a comment.Dec 1 2014, 11:08 AM
In T75698#796106, @asb wrote:

How about "Recent Tasks"?

As said, the 10 tasks listed by default are sorted by top priority, not by most recent.

Qgil updated the task description. (Show Details)Dec 17 2014, 7:59 AM

Reported: https://secure.phabricator.com/T6772

This is one of those tasks where a patch would make wonders. :)

Qgil closed this task as Resolved.Jan 4 2015, 11:37 PM
Qgil claimed this task.

Fixed upstream. Now the string says "Highest Priority (some | all)". See an example at https://secure.phabricator.com/tag/projects/

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:05 PM